{% extends 'public_access/base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('public_access/password_forgotten') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('public_access/password_forgotten') }}
{% endblock %}

{% block main %}
    <div class="container-lg mt-5">
        <div class="row mb-4 justify-content-center">
            <div class="col-10">
                <div class="mdc-card p-4 mb-4">
                    <h1>Neues Kennwort anfordern</h1>
                    <p class="pt-3">
                        Sollten Sie Ihr Kennwort vergessen haben, so können Sie hier ein Neues anfordern. Bitte geben Sie dazu Ihre E-Mail-Adresse an. Ist diese im System registriert, erhalten Sie von uns eine E-Mail zum Setzen eines neuen Kennworts.
                    </p>
                    {{ form_start(passwordForgottenForm, {'attr': {'id': passwordForgottenForm.vars.id ~ '_form'}}) }}
                    {{ form_errors(passwordForgottenForm) }}
                    {% include 'public_access/form/password_forgotten_form.html.twig' with {'form': passwordForgottenForm} only %}
                    {{ form_widget(passwordForgottenForm.save, {'label': 'Kennwort anfordern', 'id': passwordForgottenForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
                    {{ form_row(passwordForgottenForm._token) }}
                    {{ form_end(passwordForgottenForm, {'render_rest': false}) }}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
